# we load the necessary codes presented in Chapter 1 "Introduction to cartography with R"

# import the boundaries of the world
world <- readOGR(dsn="Donnees/World WGS84", layer="Pays_WGS84")
row.names(world) <- as.character(world@data$NOM)

# creation of Spatial Object
maghreb <- world[c("Algeria","Morocco","Libya",
"Mauritania","Tunisia","Western Sahara"),]
maghreb2 <- unionSpatialPolygons(maghreb, c("Algeria",
"Morocco", "Libya", "Mauritania","Tunisia","Morocco"))
maghreb2.df <- data.frame(ID=c("Algeria","Morocco","Libya",
 "Mauritania", "Tunisia"), pib=c(7300, 5200, 11900, 2100, 9700),
 row.names="ID")
maghreb2.spdf = SpatialPolygonsDataFrame(maghreb2, maghreb2.df)
egypt = world[world@data$NOM%in%c("Egypt"),]
egypt@data <- data.frame(pib=6500, row.names="Egypt")
northAf <- spRbind(maghreb2.spdf, egypt)


# Import the coordinates of the earthquakes:
seisme <- read.csv2("Donnees/Earthquake/earthquakes.csv")
coordinates(seisme) <- ~Longitude+Latitude
proj4string(seisme) <- CRS("+proj=longlat +datum=WGS84 +no_defs +ellps=WGS84 +towgs84=0,0,0")
japan <- world[world@data$NOM%in%c("Japan"),]
ind <- over(seisme, japan)
seisme.jp <- seisme[which(!is.na(ind)),]
crsjap <- CRS("+proj=tmerc +lat_0=36
 +lon_0=139.8333333333333 +k=0.9999 +x_0=0 +y_0=0 +ellps=bessel
 +towgs84=-146.414,507.337,680.507,0,0,0,0 +units=m +no_defs")
seisme.jp2 <- spTransform(seisme.jp, crsjap)
japan2 <- spTransform(japan, crsjap)


